> For the complete documentation index, see [llms.txt](https://docs.samesystem.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.samesystem.dev/api-v1-reference/weekly-balance/list-weekly-balance-fields.md).

# List weekly balance fields

Get all available weekly balance fields.

Weekly balance page in SameSystem is used for displaying sales figures, footfall counter data, and KPIs. These numbers can be delivered and shown on an hourly or daily format.

To send sales figures you need to know the different sales figures fields and their ids. Supervisors and admins create these fields in the SameSystem interface, and they should be created before being able to send any sales data.

We are very flexible when it comes to the configuration of these fields: we can create simple import fields for Sales incl. VAT, Sales excl. VAT, Returns, Discounts, No of transactions, No of sold products, etc., and calculation fields (KPIs), and we can even group them (customers can have product categories or payment methods grouped).

```json
{"openapi":"3.0.0","info":{"title":"SameSystem API V1","version":"1.1.3"},"servers":[{"url":"https://api.samesystem.com/api/v1/","description":""}],"paths":{"/{clientToken}/weekly_balance/fields":{"get":{"tags":["Weekly balance"],"summary":"List weekly balance fields","description":"Get all available weekly balance fields.\n\nWeekly balance page in SameSystem is used for displaying sales figures, footfall counter data, and KPIs. These numbers can be delivered and shown on an hourly or daily format.\n\nTo send sales figures you need to know the different sales figures fields and their ids. Supervisors and admins create these fields in the SameSystem interface, and they should be created before being able to send any sales data. \n\nWe are very flexible when it comes to the configuration of these fields: we can create simple import fields for Sales incl. VAT, Sales excl. VAT, Returns, Discounts, No of transactions, No of sold products, etc., and calculation fields (KPIs), and we can even group them (customers can have product categories or payment methods grouped).","operationId":"get-clientToken-weekly_balance-fields","parameters":[{"name":"clientToken","in":"path","description":"Token in a form of \"c\\<clientId\\>\".","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/WeeklyBalanceField"}}}}}}}}}}},"components":{"schemas":{"WeeklyBalanceField":{"title":"WeeklyBalanceField","type":"object","properties":{"field_id":{"type":"number","description":"A unique field id given to a weekly balance fields. If you have multiple clients, the fields will be unique - also across clients."},"name":{"type":"string","description":"Name of the field, ex gross sales, net sales or transactions etc."},"field_type":{"type":"string","description":"Field type can be: \"number\",\"text\",\"expense\" or \"deposit\".\n- Number, expense and deposit type is a *float*.\n- Text is a *string*.\n- Expense and deposit are speciel fields which must be detailed with correct entries when saved."},"summable":{"type":"boolean","description":"If *false*, numbers mathematically cannot be summed up into total."},"code":{"type":"string","nullable":true},"calculated":{"type":"boolean","description":"if *true*, the field is calculated from other fields and you can avoid sending this."},"mandatory":{"type":"boolean","description":"if *true*, this field mast be present before confirming the day. The only exception is when all fields are empty on a given day (closed day situation)."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.samesystem.dev/api-v1-reference/weekly-balance/list-weekly-balance-fields.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
